Subject: [lmap] Review of draft-ietf-lmap-information-model-06: Action Execution Mode questions

From: "Carey, Timothy (Timothy)" <[email-masked]>
Date: Mon, 27 Jul 2015 19:29:47 +0000

Juergen,

In reviewing this draft for the TR-069 model update I had a question on the Execution mode.
We say there are 3 modes - Sequential, Parallel and Pipelined.
For sequential - What is the value that orders the list? I don't see an ordering the action or indication that this is an ordered list of actions.

For pipelining - I don't understand this mode - are we saying that this is a Sequential mode plus all the outputs for executing Action are inputted to the next Action in the Sequence or is the Pipeline mode somehow relevant for Output destinations? If so why wouldn't pipeline simply be sequential or paralled with output destinations?

BR,
Tim